Top
30°

Elite: Dangerous Won't Support Oculus VR's Latest SDK

VRFocus reports on the news that Frontier Developments will not be updating its virtual reality (VR) space sim, Elite: Dangerous to support Oculus SDK 0.7.

Oculus Quest Giveaway! Click Here to Enter
The story is too old to be commented.